openshot::ResampleError Class Reference

Exception when resample fails. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::ResampleError:

## Public Member Functions

| ResampleError (std::string message, std::string file_path="")
| Constructor. More...
virtual | ~ResampleError () noexcept
Public Member Functions inherited from openshot::BaseException
| BaseException (std::string message)
virtual const char * | what () const noexcept
virtual | ~BaseException () noexcept

## Public Attributes

std::string | file_path

## Additional Inherited Members

Protected Attributes inherited from openshot::BaseException
std::string | m_message

## Detailed Description

Exception when resample fails.

Definition at line 353 of file Exceptions.h.

## Constructor & Destructor Documentation

## ResampleError()

openshot::ResampleError::ResampleError | ( | std::string | message,
|  | std::string | file_path = `""`
| ) |  |

inline

Constructor.

Parameters

  message | A message to accompany the exception
  file_path | (optional) The input file being processed

Definition at line 363 of file Exceptions.h.

## ~ResampleError()

virtual openshot::ResampleError::~ResampleError | ( |  | ) |

inline virtual noexcept

Definition at line 365 of file Exceptions.h.

## Member Data Documentation

## file_path

std::string openshot::ResampleError::file_path

Definition at line 356 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h